Package logilab :: Package common :: Module sphinx_ext :: Class DocstringOnlyModuleDocumenter

[frames] | no frames]

# Class DocstringOnlyModuleDocumenter

source code

    sphinx.ext.autodoc.ModuleDocumenter --+
                                          |
                                         DocstringOnlyModuleDocumenter

Instance Methods

format_signature(self) | source code

add_directive_header(self, sig) | source code

document_members(self, all_members=False) | source code

resolve_name(self, modname, parents, path, base) | source code

Class Variables
| objtype = `'docstring'`